%global tarball_version %%(echo %{version} | tr '~' '_')

Name:           sfwbar
Version:        1.0~beta14
Release:        0%{?dist}
Summary:        S* Floating Window Bar

License:        GPL-3.0-only
URL:            https://github.com/LBCrion/sfwbar
Source0:        %{url}/archive/v%{tarball_version}/%{name}-%{tarball_version}.tar.gz
# Install libsfwbar.so in subdirectory
# https://github.com/LBCrion/sfwbar/issues/147
Patch0:         %{url}/commit/2bc0bf86df3c036cae911ba8f287032f86b4e32c.patch#/install-libsfwbar.so-into-a-module-sub-directory.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  meson
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk-layer-shell-0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.17
BuildRequires:  pkgconfig(xkbregistry)

Requires:       hicolor-icon-theme

%description
SFWBar (S* Floating Window Bar) is a flexible taskbar application for wayland
compositors, designed with a stacking layout in mind. Originally developed for
Sway, SFWBar will work with any wayland compositor supporting layer shell
protocol, the taskbar and window switcher functionality shall work with any
compositor supporting foreign toplevel protocol, but the pager, and window
placement functionality require sway (or at least i3 IPC support).

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_libdir}/%{name}/
%{_mandir}/man1/*.1*

%changelog
* Mon May 13 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0~beta14-0
- Initial
